# Healthcheck

Provides a mechanism to add healthchecks to your application as a Rack endpoint.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'cogent-healthcheck', require: 'healthcheck'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install cogent-healthcheck

## Usage
Add the gem as a rack app to your config.ru file as follows:

	map '/healthcheck' do
	  use Cogent::Healthcheck::Check
	end
using any endpoint you'd like.
The default endpoint responds to checks, returning a json list of available checks and their urls. Calling each check will either respond with a 200 if everything is ok, or a 500 with a json representation of the errors.

##Configuration
Implementing your own checks is easy. Simple create a class that has name and description class methods. The name method is used for the endpoint and is required. Implement an execute method, that either returns a valid response or raises an exception in the case of an error.

Add the check to healthcheck as follows in any config file:
	Cogent::Healthcheck.configure do |config|
  	  config.add_check(Salesforce::Check)
	end

## Contributing

1. Fork it ( https://github.com/[my-github-username]/healthcheck/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
