require 'spec_helper'

describe Healthcheck do
  it 'has a version number' do
    expect(Healthcheck::VERSION).not_to be nil
  end

  it "has an alive check by default" do
    expect(Cogent::Healthcheck.config.checks.first.name).to eql('alive')
  end

  describe 'configuration' do
    let(:check) {
      class Check

        def self.name
        end

        def self.description
        end

        def execute
        end
      end
      Check
    }
    before do
      Cogent::Healthcheck.configure do |config|
        config.add_check(check)
      end
    end

    it "allows new checks to be added" do
      expect(Cogent::Healthcheck.config.checks).to include(check)
    end
  end
    
end
